## kernel-diablo-modules-joydev 0.1-maemo0

=== Makefile ===
#
# Makefile for the input core drivers.
#

# Each configuration option enables a list of files.

obj-$(CONFIG_INPUT)		+= input-core.o
input-core-objs := input.o ff-core.o

obj-$(CONFIG_INPUT_FF_MEMLESS)	+= ff-memless.o

obj-$(CONFIG_INPUT_MOUSEDEV)	+= mousedev.o
obj-$(CONFIG_INPUT_JOYDEV)	+= joydev.o
obj-$(CONFIG_INPUT_EVDEV)	+= evdev.o
obj-$(CONFIG_INPUT_TSDEV)	+= tsdev.o
obj-$(CONFIG_INPUT_POWER)	+= power.o
obj-$(CONFIG_INPUT_EVBUG)	+= evbug.o

obj-$(CONFIG_INPUT_KEYBOARD)	+= keyboard/
obj-$(CONFIG_INPUT_MOUSE)	+= mouse/
obj-$(CONFIG_INPUT_JOYSTICK)	+= joystick/
obj-$(CONFIG_INPUT_TOUCHSCREEN)	+= touchscreen/
obj-$(CONFIG_INPUT_MISC)	+= misc/

kernel-ver := 2.6.21-omap1
PWD := $(shell pwd)
obj-m := joydev.o

KDIR := /lib/modules/$(kernel-ver)/build



default: build

build:
	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) modules
	strip --strip-debug joydev.ko

clean:
	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) clean

install: build

=== touchscreen/Makefile ===
#
# Makefile for the touchscreen input drivers.
#

# Each configuration option enables a list of files.

obj-$(CONFIG_TOUCHSCREEN_ADS7846)	+= ads7846.o
obj-$(CONFIG_TOUCHSCREEN_BITSY)	+= h3600_ts_input.o
obj-$(CONFIG_TOUCHSCREEN_CORGI)	+= corgi_ts.o
obj-$(CONFIG_TOUCHSCREEN_GUNZE)	+= gunze.o
obj-$(CONFIG_TOUCHSCREEN_ELO)	+= elo.o
obj-$(CONFIG_TOUCHSCREEN_MTOUCH) += mtouch.o
obj-$(CONFIG_TOUCHSCREEN_MK712)	+= mk712.o
obj-$(CONFIG_TOUCHSCREEN_HP600)	+= hp680_ts_input.o
obj-$(CONFIG_TOUCHSCREEN_PENMOUNT)	+= penmount.o
obj-$(CONFIG_TOUCHSCREEN_TOUCHRIGHT)	+= touchright.o
obj-$(CONFIG_TOUCHSCREEN_TOUCHWIN)	+= touchwin.o
obj-$(CONFIG_TOUCHSCREEN_UCB1400)	+= ucb1400_ts.o
obj-$(CONFIG_TOUCHSCREEN_TSC2005)	+= tsc2005.o
obj-$(CONFIG_TOUCHSCREEN_TSC2102)	+= tsc2102_ts.o
obj-$(CONFIG_TOUCHSCREEN_OMAP)	+= omap/
obj-$(CONFIG_TOUCHSCREEN_TSC2301)	+= tsc2301_ts.o
obj-$(CONFIG_TOUCHSCREEN_TSC2046)	+= tsc2046_ts.o

=== debian/changelog ===
kernel-diablo-modules-joydev (0.1-maemo0) unstable; urgency=low

  * Initial Maemo Diablo Release

 -- Attila Csipa <maemo@csipa.in.rs>  Sun, 02 May 2010 13:00:00 +0100

=== debian/control ===
Source: kernel-diablo-modules-joydev
Priority: extra
Maintainer: Attila Csipa <maemo@csipa.in.rs>
Build-Depends: debhelper (>= 5), autotools-dev, kernel-headers, linux-kernel-headers
Standards-Version: 3.7.2

Package: kernel-diablo-modules-joydev
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: joydev
Description: JoyDev module, used for simulating joystick actions via the accelerometers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# This gives us the Kernel Version we defined in the sub-make file
KERNEL_VERSION ?= $(shell grep "kernel-ver :=" Makefile | sed -n -e "s/kernel-ver := //p")


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	# Add here commands to install the package
	$(MAKE) install
	# Install joydev Module
	mkdir -p debian/kernel-diablo-modules-joydev/lib/modules/$(KERNEL_VERSION)/extras
	cp -f ./joydev.ko debian/kernel-diablo-modules-joydev/lib/modules/$(KERNEL_VERSION)/extras/
	
	# Install Event Startup File
#	mkdir debian/kernel-diablo-modules-joydev/etc
#	mkdir debian/kernel-diablo-modules-joydev/etc/event.d
#	cp -f ./event.d/joydev debian/kernel-diablo-modules-joydev/etc/event.d/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
